Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Class PSFontUtils

    java.lang.Object
      org.apache.xmlgraphics.ps.PSFontUtils
          org.apache.fop.render.ps.PSFontUtils

    public class PSFontUtils

extends org.apache.xmlgraphics.ps.PSFontUtils

Utility code for font handling in PostScript.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logging instance

Fields inherited from class org.apache.xmlgraphics.ps.PSFontUtils
`ADOBECYRILLIC_ENCODING_RESOURCE, WINANSI_ENCODING_RESOURCE`

Constructor Summary
`PSFontUtils()`

Method Summary
`static org.apache.xmlgraphics.ps.PSResource` | `defineDerivedFont(org.apache.xmlgraphics.ps.PSGenerator gen, java.lang.String baseFontName, java.lang.String fontName, java.lang.String encoding)` Derives a new font based on an existing font with a given encoding.
`static org.apache.xmlgraphics.ps.PSResource` | `defineEncoding(org.apache.xmlgraphics.ps.PSGenerator gen, SingleByteEncoding encoding)` Defines the single-byte encoding for use in PostScript files.
`static java.util.Map` | `determineSuppliedFonts(org.apache.xmlgraphics.ps.dsc.ResourceTracker resTracker, FontInfo fontInfo, java.util.Map<java.lang.String,Typeface> fonts)` Determines the set of fonts that will be supplied with the PS file and registers them with the resource tracker.
`static java.util.Map` | `writeFontDict(org.apache.xmlgraphics.ps.PSGenerator gen, FontInfo fontInfo)` Generates the PostScript code for the font dictionary.
`static java.util.Map` | `writeFontDict(org.apache.xmlgraphics.ps.PSGenerator gen, FontInfo fontInfo, java.util.Map<java.lang.String,Typeface> fonts, PSEventProducer eventProducer)` Generates the PostScript code for the font dictionary.
`static java.util.Map` | `writeFontDict(org.apache.xmlgraphics.ps.PSGenerator gen, FontInfo fontInfo, PSEventProducer eventProducer)` Generates the PostScript code for the font dictionary.

Methods inherited from class org.apache.xmlgraphics.ps.PSFontUtils
`defineAdobeCyrillicEncoding, defineWinAnsiEncoding, embedType1Font, redefineFontEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logging instance

Constructor Detail

### PSFontUtils

    public PSFontUtils()

Method Detail

### writeFontDict

    public static java.util.Map writeFontDict(org.apache.xmlgraphics.ps.PSGenerator gen,
                                              FontInfo fontInfo)
                                       throws java.io.IOException

  Generates the PostScript code for the font dictionary. This method should only be used if no "resource optimization" is performed, i.e. when the fonts are not embedded in a second pass.

  Parameters:
    `gen` - PostScript generator to use for output
    `fontInfo` - available fonts
  Returns:
    a Map of PSResource instances representing all defined fonts (key: font key)
  Throws:
    `java.io.IOException` - in case of an I/O problem

### writeFontDict

    public static java.util.Map writeFontDict(org.apache.xmlgraphics.ps.PSGenerator gen,
                                              FontInfo fontInfo,
                                              PSEventProducer eventProducer)
                                       throws java.io.IOException

  Generates the PostScript code for the font dictionary. This method should only be used if no "resource optimization" is performed, i.e. when the fonts are not embedded in a second pass.

  Parameters:
    `gen` - PostScript generator to use for output
    `fontInfo` - available fonts
    `eventProducer` - to report events
  Returns:
    a Map of PSResource instances representing all defined fonts (key: font key)
  Throws:
    `java.io.IOException` - in case of an I/O problem

### writeFontDict

    public static java.util.Map writeFontDict(org.apache.xmlgraphics.ps.PSGenerator gen,
                                              FontInfo fontInfo,
                                              java.util.Map<java.lang.String,Typeface> fonts,
                                              PSEventProducer eventProducer)
                                       throws java.io.IOException

  Generates the PostScript code for the font dictionary. This method assumes all used fonts and characters are known, i.e. when PostScript is generated with resource optimization turned on.

  Parameters:
    `gen` - PostScript generator to use for output
    `fontInfo` - available fonts
    `fonts` - the set of fonts to work with
    `eventProducer` - the event producer
  Returns:
    a Map of PSResource instances representing all defined fonts (key: font key)
  Throws:
    `java.io.IOException` - in case of an I/O problem

### determineSuppliedFonts

    public static java.util.Map determineSuppliedFonts(org.apache.xmlgraphics.ps.dsc.ResourceTracker resTracker,
                                                       FontInfo fontInfo,
                                                       java.util.Map<java.lang.String,Typeface> fonts)

  Determines the set of fonts that will be supplied with the PS file and registers them with the resource tracker. All the fonts that are being processed are returned as a Map.

  Parameters:
    `resTracker` - the resource tracker
    `fontInfo` - available fonts
    `fonts` - the set of fonts to work with
  Returns:
    a Map of PSResource instances representing all defined fonts (key: font key)

### defineEncoding

    public static org.apache.xmlgraphics.ps.PSResource defineEncoding(org.apache.xmlgraphics.ps.PSGenerator gen,
                                                                      SingleByteEncoding encoding)
                                                               throws java.io.IOException

  Defines the single-byte encoding for use in PostScript files.

  Parameters:
    `gen` - the PostScript generator
    `encoding` - the single-byte encoding
  Returns:
    the PSResource instance that represents the encoding
  Throws:
    `java.io.IOException` - In case of an I/O problem

### defineDerivedFont

    public static org.apache.xmlgraphics.ps.PSResource defineDerivedFont(org.apache.xmlgraphics.ps.PSGenerator gen,
                                                                         java.lang.String baseFontName,
                                                                         java.lang.String fontName,
                                                                         java.lang.String encoding)
                                                                  throws java.io.IOException

  Derives a new font based on an existing font with a given encoding. The encoding must have been registered before.

  Parameters:
    `gen` - the PostScript generator
    `baseFontName` - the font name of the font to derive from
    `fontName` - the font name of the new font to be define
    `encoding` - the new encoding (must be predefined in the PS file)
  Returns:
    the PSResource representing the derived font
  Throws:
    `java.io.IOException` - In case of an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.